/**
 * @fileOverview logging
 * @name logging
 * @author Yuhei Aihara <yu.e.yu.4119@gmail.com>
 * https://github.com/iyu/spread2json
 */
export interface ILogger {
    info(...args: any[]): void;
    debug(...args: any[]): void;
    error(...args: any[]): void;
}
declare class OriginalLogger implements ILogger {
    COLOR: {
        BLACK: string;
        RED: string;
        GREEN: string;
        YELLOW: string;
        BLUE: string;
        MAGENTA: string;
        CYAN: string;
        WHITE: string;
        RESET: string;
    };
    private _getDateLine;
    private _prepareStackTrace;
    private _getFileLineNumber;
    info(...args: any[]): void;
    debug(...args: any[]): void;
    error(...args: any[]): void;
}
declare class Logger {
    logger: OriginalLogger;
    revert(): OriginalLogger;
}
declare const _default: Logger;
export default _default;
